import httpRequest from '@/utils/axios'

// 获取学员列表
export function getUserList(params?: { name?: string; mobile?: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend/user/index', { params })
}

// 获取学员详情
export function getUser(params: { id: string }) {
  return httpRequest.get('/api/psp/backend/user/view', { params })
}

// 更新资料
export function updateUser(data: {
  id: string
  name: string
  mobile: string
  certificate_number: string
  label?: string
}) {
  return httpRequest.post('/api/psp/backend/user/update', data)
}

// 获取星星记录列表
export function getStarRecordList(params: { id: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend/user/star-record', { params })
}

// 获取签到记录列表
export function getSignInList(params: { id: string; page?: number; page_size?: number }) {
  return httpRequest.get('/api/psp/backend/user/sign-in-record', { params })
}

// 学员同步
export function syncUser() {
  return httpRequest.get('/api/psp/backend/user/sync')
}
